Get transaction fee details
Fetch breakdown of a fee transaction
curl --request GET \
--url https://api.slash.com/transaction/{transactionId}/fee-details \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.slash.com/transaction/{transactionId}/fee-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.slash.com/transaction/{transactionId}/fee-details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slash.com/transaction/{transactionId}/fee-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"dateCharged": "<string>",
"feeAmountCents": 123,
"feeType": "<string>",
"accountId": "<string>",
"originalTransaction": {
"id": "<string>",
"date": "<string>",
"description": "<string>",
"amountCents": 123,
"status": "pending",
"detailedStatus": "pending",
"accountId": "<unknown>",
"accountSubtype": "cash",
"memo": "<string>",
"merchantDescription": "<string>",
"merchantData": {
"description": "<string>",
"categoryCode": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>"
}
},
"virtualAccountId": "<string>",
"cardId": "<string>",
"cashbackInfo": {
"amountCents": 123,
"rate": 123
},
"fxFeeInfo": {
"amountCents": 123
},
"originalCurrency": {
"code": "<string>",
"amountCents": 123,
"conversionRate": 123
},
"orderId": "<string>",
"referenceNumber": "<string>",
"authorizedAt": "<string>",
"declineReason": "<string>",
"approvalReason": "<string>",
"providerAuthorizationId": "<string>",
"wireInfo": {
"typeCode": "<string>",
"subtypeCode": "<string>",
"omad": "<string>",
"imad": "<string>",
"senderReference": "<string>",
"businessFunctionCode": "<string>",
"counterpartyBank": "<string>"
},
"achInfo": {
"receiverId": "<string>",
"companyId": "<string>",
"companyDiscretionaryData": "<string>",
"traceNumber": "<string>",
"entryClassCode": "<string>",
"paymentRelatedInfo": "<string>",
"counterpartyBank": "<string>",
"companyEntryDescription": "<string>"
},
"rtpInfo": {
"counterpartyBank": "<string>",
"endToEndId": "<string>",
"routingNumber": "<string>",
"originatorName": "<string>",
"description": "<string>"
},
"sepaInfo": {
"senderName": "<string>",
"recipientName": "<string>",
"reference": "<string>",
"iban": "<string>",
"ibanLast4": "<string>",
"bic": "<string>",
"uetr": "<string>",
"paymentScheme": "<string>"
},
"pixInfo": {
"senderName": "<string>",
"description": "<string>",
"reference": "<string>",
"trackingNumber": "<string>"
},
"speiInfo": {
"senderName": "<string>",
"description": "<string>",
"reference": "<string>",
"clabe": "<string>",
"trackingNumber": "<string>"
},
"fpsInfo": {
"senderName": "<string>",
"recipientName": "<string>",
"reference": "<string>",
"accountNumber": "<string>",
"last4": "<string>",
"sortCode": "<string>",
"uetr": "<string>"
},
"feeInfo": {
"relatedTransaction": {
"id": "<string>",
"amount": 123
}
},
"cryptoInfo": {
"txHash": "<string>",
"senderAddress": "<string>"
}
},
"card": {
"id": "<string>",
"accountId": "<string>",
"last4": "<string>",
"name": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"status": "active",
"isPhysical": true,
"virtualAccountId": "<string>",
"isSingleUse": true,
"pan": "<string>",
"cvv": "<string>",
"cardGroupId": "<string>",
"cardGroupName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
],
"restriction": "allowlist"
},
"merchantRule": {
"merchants": [
"<string>"
],
"restriction": "allowlist"
},
"spendingRule": {
"utilizationLimit": {
"limitAmount": {
"amountCents": 123
},
"preset": "daily",
"timezone": "<string>",
"startDate": "<string>"
},
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
},
"countryRule": {
"countries": [
"<string>"
],
"restriction": "allowlist"
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
],
"restriction": "allowlist"
}
},
"userData": {},
"cardProductId": "<string>",
"modifiers": [
{
"name": "only_allow_recurring_payments",
"value": true
}
]
}
}
]
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Authorizations
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Path Parameters
Response
OK
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
The date in UTC time when the transaction was posted. If the transaction is pending or failed, this is the date the transaction was created.
The amount of the transaction in cents in USD. If the transaction amount is negative, the transaction is a debit. If the transaction amount is positive, the transaction is a credit.
pending: The transaction is pending and has not been posted to the account yet (the account's posted balance doesn't reflect the transaction yet, but the account's available balance does).posted: The transaction has been posted to the account and the account's posted balance and available balances both reflect the transaction.failed: The transaction failed to post to the account and no longer affects the account's available or posted balances.
pending, posted, failed pending_approval: Used for any transaction type that is pending approval. This does not affect the account's available or posted balances.pending: Used for any transaction type that has not posted to the account yet, but is affecting the account's available balance.canceled: Used for any transaction that was canceled.failed: Used for any transaction that failed to post to the account.settled: Used for any transaction that has posted to the account, except for card refunds, which use therefundstatus, and ACH returns, which use thereturnedstatus.declined: Used for card transactions that were declined.refund: Used for card transactions that were refunded, increasing the account's available and posted balances.reversed: Used for card transactions that were authorized, but reversed by the merchant.returned: Used for ACH returns. In the case of an ACH return, there are two possibilities: (1) if the ACH settled and then returned, then there will be one transaction with statussettledfor the ACH settling, and one transaction with statusreturnedfor the ACH return. Both of these are posted transactions. (2) if the ACH returned before settling, then there will only be one transaction with statuscanceled.dispute: Used for disputed card transactions.
pending, pending_approval, in_review, canceled, failed, settled, declined, refund, reversed, returned, dispute The account ID associated with the transaction
For charge cards, specifies if the transaction belongs to the cash or credit account. For debit accounts, this field is always cash.
cash, credit The memo associated with the transaction. For virtual account transfers, this is the memo provided when creating the transfer. For ACH transactions, this is the company entry description. For wire transactions, this is the sender reference.
DEPRECATED. Use merchantData.description instead. For card transactions, the description of the transaction as reported by the merchant. For other transactions, this field is undefined.
For card transactions, contains description of the transaction as reported by the merchant, merchant category code, and location of the merchant or origin of the transaction. For other transactions, this field is undefined.
Hide child attributes
Hide child attributes
The raw description provided by the merchant for the transaction.
The merchant's category code (MCC)
Location details for the merchant/transaction.
Hide child attributes
Hide child attributes
The city of the merchant.
The state/province of the merchant.
The country of the merchant.
The ZIP/postal code of the merchant.
The virtual account ID where the transaction occurred
The card ID associated with the transaction. If the transaction is not associated with a card, this field is not sent.
Cashback earned for this transaction. This is only present when cashback is known and currently applies to eligible card transactions.
Foreign exchange fee charged for this transaction. This is only present when an FX fee has been created for the transaction.
Hide child attributes
Hide child attributes
The FX fee amount charged for this transaction, in USD cents.
The original currency of the transaction. This is only applicable to transactions. If this field is not sent, the original currency is in USD.
Hide child attributes
Hide child attributes
The original currency code of the transaction
The amount of the transaction in its original currency in cents.
The conversion rate used to convert the transaction amount from its original currency to the account currency. The currency rate is computed at the time of the transaction.
The order ID, as reported by the merchant, associated with the specific transaction.
The reference number provided by Visa for this transaction.
The UTC timestamp of when the transaction was authorized. Only exists for card transactions.
The reason for the decline. Only exists for card transactions with detailedStatus = declined.
The reason for the approval. Only exists for card transactions with detailedStatus = pending or settled.
The provider authorization ID for the transaction. Only exists for card transactions.
Information about the associated wire transfer if the transaction is a wire transfer.
Hide child attributes
Hide child attributes
A code that identifies the type of wire transfer (e.g., domestic, international)
A code that identifies the specific type or subtype of the wire transfer
Outgoing Message Authentication Data - a unique identifier assigned by the originating bank for the outgoing wire transfer. If the other bank is an account with Column N.A., this field is empty.
Incoming Message Authentication Data - a unique identifier assigned by the receiving bank for the incoming wire transfer. If the other bank is an account with Column N.A., this field is empty.
A reference number or identifier provided by the sender of the wire transfer for tracking purposes
A code that identifies the business function or purpose of the wire transfer (e.g., customer transfer, bank transfer, etc.)
The name of the bank or financial institution of the counterparty in the wire transfer
Information about the associated ACH transfer if the transaction is an ACH transfer.
Hide child attributes
Hide child attributes
The unique identifier for the receiver of the ACH transfer
The company identification number assigned by the originating depository financial institution
Optional data field that can be used by the originating company for internal purposes
A unique number assigned by the originating depository financial institution to identify the ACH entry
A three-character code that identifies the type of ACH entry (e.g., PPD for Prearranged Payment and Deposit, CCD for Corporate Credit or Debit)
Additional information related to the payment, such as invoice numbers, payment references, or other payment-specific details
The name of the bank or financial institution of the counterparty in the ACH transfer
An optional description of the purpose of the ACH entry as provided by the originating company
Information about the associated Real-Time Payment (RTP) transfer if the transaction is a real-time transfer.
Hide child attributes
Hide child attributes
The name of the bank or financial institution of the counterparty in the real-time transfer
A unique end-to-end identifier for the real-time payment transaction that remains with the payment throughout its lifecycle
The routing number of the counterparty's bank
The name of the originator of the real-time payment
Additional description or purpose of the real-time payment
Information about the associated SEPA (Single Euro Payments Area) transfer if the transaction is a SEPA deposit into a Global USD account.
Hide child attributes
Hide child attributes
The name of the originator of the SEPA transfer.
The name of the recipient of the SEPA transfer.
The free-form reference field set by the originator on the SEPA transfer.
The full IBAN of the counterparty on the SEPA transfer.
The last 4 characters of the IBAN of the counterparty on the SEPA transfer.
The BIC of the counterparty bank on the SEPA transfer.
The unique end-to-end transaction reference (UETR) for the SEPA transfer.
The SEPA payment scheme used (e.g., sepa_credit_transfer, sepa_instant).
Information about the associated PIX (Brazilian instant-payment) transfer if the transaction is a PIX deposit into a Global USD account.
Hide child attributes
Hide child attributes
The name of the originator of the PIX transfer.
A description of the PIX transfer provided by the originator.
The free-form reference field set by the originator on the PIX transfer.
The PIX network tracking number (endToEndId) for the transfer.
Information about the associated SPEI (Mexican real-time payment) transfer if the transaction is a SPEI deposit into a Global USD account.
Hide child attributes
Hide child attributes
The name of the originator of the SPEI transfer.
A description of the SPEI transfer provided by the originator.
The free-form reference field (concepto de pago) set by the originator on the SPEI transfer.
The CLABE of the counterparty on the SPEI transfer.
The SPEI network tracking number (clave de rastreo) for the transfer.
Information about the associated Faster Payments transfer if the transaction is a Faster Payments deposit into a Global USD account.
Hide child attributes
Hide child attributes
The name of the originator of the Faster Payments transfer.
The name of the recipient of the Faster Payments transfer.
The free-form reference field set by the originator on the Faster Payments transfer.
The account number of the counterparty on the Faster Payments transfer.
The last 4 digits of the account number of the counterparty on the Faster Payments transfer.
The sort code of the counterparty bank on the Faster Payments transfer.
The unique end-to-end transaction reference (UETR) for the Faster Payments transfer.
Information populated if this transaction is a fee assessed by Slash.
Information populated if this transaction is a crypto on/off-ramp transaction.
Hide child attributes
Hide child attributes
The account that this card is associated with
The last 4 digits of the card number
The name assigned to the card that appears on the user dashboard
The month the card expires formatted as MM (01, 02, ..., 12)
The year the card expires formatted as YYYY (2024, 2025, ...)
The status of the card
active, paused, inactive, closed When true, a physical card has been issued. Otherwise, this is a virtual card.
The virtual account that this card is associated with
When true, the card will be automatically closed after a single authorization attempt. Note that the card will be closed even if the authorization declines or drops
This field contains the full PAN which will only be sent on a request for a single card when you set the query param "include_pan" to "true"
This field will contain full CVV which will only be sent on a request for a single card when you set the query param "include_pan" to "true"
The card group the card belongs to.
The name of the card group the card belongs to.
The spending constraint applied to the card
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
daily, weekly, monthly, yearly, collective Canonical IANA timezone identifier in Area/Location form, for example America/New_York, Asia/Shanghai or Asia/Hong_Kong. Limits always reset at midnight in the timezone specified. If no timezone is specified, UTC is used. Values that are not valid IANA identifiers are rejected with a 400 -- this includes language-level enum names such as ASIA_SHANGHAI, bare UTC offsets such as +8, and abbreviations such as PST. Note that some languages return the enum constant rather than the IANA id by default (for example Java/Kotlin ZoneId .name() instead of .getId()).
Format ISO-8601. A day that equals today or the past. This is optional.If the preset is "daily", this value is ignored. If the preset is "weekly", "monthly" or "yearly", then the this value is used to compute when the limit should start limit.
Hide child attributes
Hide child attributes
Arbitrary information that can be attached to the card. See the PATCH /card/{cardId} [blocked] endpoint for more details on how to add user data.
The ID of the card product this card was created with.
The modifiers applied to this card. Modifiers control card behavior like restricting to recurring payments only.
curl --request GET \
--url https://api.slash.com/transaction/{transactionId}/fee-details \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.slash.com/transaction/{transactionId}/fee-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.slash.com/transaction/{transactionId}/fee-details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slash.com/transaction/{transactionId}/fee-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"dateCharged": "<string>",
"feeAmountCents": 123,
"feeType": "<string>",
"accountId": "<string>",
"originalTransaction": {
"id": "<string>",
"date": "<string>",
"description": "<string>",
"amountCents": 123,
"status": "pending",
"detailedStatus": "pending",
"accountId": "<unknown>",
"accountSubtype": "cash",
"memo": "<string>",
"merchantDescription": "<string>",
"merchantData": {
"description": "<string>",
"categoryCode": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>"
}
},
"virtualAccountId": "<string>",
"cardId": "<string>",
"cashbackInfo": {
"amountCents": 123,
"rate": 123
},
"fxFeeInfo": {
"amountCents": 123
},
"originalCurrency": {
"code": "<string>",
"amountCents": 123,
"conversionRate": 123
},
"orderId": "<string>",
"referenceNumber": "<string>",
"authorizedAt": "<string>",
"declineReason": "<string>",
"approvalReason": "<string>",
"providerAuthorizationId": "<string>",
"wireInfo": {
"typeCode": "<string>",
"subtypeCode": "<string>",
"omad": "<string>",
"imad": "<string>",
"senderReference": "<string>",
"businessFunctionCode": "<string>",
"counterpartyBank": "<string>"
},
"achInfo": {
"receiverId": "<string>",
"companyId": "<string>",
"companyDiscretionaryData": "<string>",
"traceNumber": "<string>",
"entryClassCode": "<string>",
"paymentRelatedInfo": "<string>",
"counterpartyBank": "<string>",
"companyEntryDescription": "<string>"
},
"rtpInfo": {
"counterpartyBank": "<string>",
"endToEndId": "<string>",
"routingNumber": "<string>",
"originatorName": "<string>",
"description": "<string>"
},
"sepaInfo": {
"senderName": "<string>",
"recipientName": "<string>",
"reference": "<string>",
"iban": "<string>",
"ibanLast4": "<string>",
"bic": "<string>",
"uetr": "<string>",
"paymentScheme": "<string>"
},
"pixInfo": {
"senderName": "<string>",
"description": "<string>",
"reference": "<string>",
"trackingNumber": "<string>"
},
"speiInfo": {
"senderName": "<string>",
"description": "<string>",
"reference": "<string>",
"clabe": "<string>",
"trackingNumber": "<string>"
},
"fpsInfo": {
"senderName": "<string>",
"recipientName": "<string>",
"reference": "<string>",
"accountNumber": "<string>",
"last4": "<string>",
"sortCode": "<string>",
"uetr": "<string>"
},
"feeInfo": {
"relatedTransaction": {
"id": "<string>",
"amount": 123
}
},
"cryptoInfo": {
"txHash": "<string>",
"senderAddress": "<string>"
}
},
"card": {
"id": "<string>",
"accountId": "<string>",
"last4": "<string>",
"name": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"status": "active",
"isPhysical": true,
"virtualAccountId": "<string>",
"isSingleUse": true,
"pan": "<string>",
"cvv": "<string>",
"cardGroupId": "<string>",
"cardGroupName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
],
"restriction": "allowlist"
},
"merchantRule": {
"merchants": [
"<string>"
],
"restriction": "allowlist"
},
"spendingRule": {
"utilizationLimit": {
"limitAmount": {
"amountCents": 123
},
"preset": "daily",
"timezone": "<string>",
"startDate": "<string>"
},
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
},
"countryRule": {
"countries": [
"<string>"
],
"restriction": "allowlist"
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
],
"restriction": "allowlist"
}
},
"userData": {},
"cardProductId": "<string>",
"modifiers": [
{
"name": "only_allow_recurring_payments",
"value": true
}
]
}
}
]
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}